Bug 111717 - CAN-2003-0963 lftp client buffer overflow
CAN-2003-0963 lftp client buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: lftp (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 05:00 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 09:03:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-12-09 05:00:54 EST
Ulf Harnhammar found a buffer overflow in lftp which can occur
when a user connects to a web server under the control of an attacker
and then uses ls or rels on a carefully crafted directory.  Affects
2.3.0-2.6.9 at least.

Reported Dec05, co-ordinated release date Dec16 1400GMT

        CAN-2003-0963 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        CAN-2003-0963 Affects: 3AS 3ES 3WS

Errata in progress.
Comment 1 Mark J. Cox (Product Security) 2003-12-15 04:01:30 EST
(actually was made public last week, opening up bug entry)
Comment 2 Mark J. Cox (Product Security) 2003-12-16 09:03:14 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-404.html

Note You need to log in before you can comment on or make changes to this bug.